/* 
 * ASCD : copyright (c) Aley Keprt 1998-2001
 *
 * File video.h - video emulation code
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef __VIDEO_H
#define __VIDEO_H


#ifdef __cplusplus
extern "C" {
#endif


void VideoInit(void);    //called on startup
void VideoClose(void);   //called on exit

void FlyBack(void);

void VideoSetMode(int);  //set Sam mode 1-4

void VideoSetScale(int); //set scale (1 or 2)
int VideoGetScale(void); //return current scale (1 or 2)
void VideoSwitchScale(void); //switch scale (if autoscale is off)

int VideoSwitchAutoScale(void); //switch autoscale feature, return=new state

void VideoScreenShot(const char *fname,int border); //save screenshot

void VideoTextMode(void);//switch to text mode

void osd(const char*);   //idsplay osd text


extern void (*line_update)(int);
extern void (*borderline_update)(void);

#ifdef USE_BORDER_EFFECTS
extern void (*border_change)(void);
#endif


extern int b_lines_drawn;    //no.of lines drawn at the top


//#define BorderW 32


#ifdef __cplusplus
}
#endif

#endif

